### Hierarchy

- ServiceManager

## Index

### Constructors

- constructor

### Methods

- cancel
- getOfflineService_
- restore
- save
- setRestoreService
- setSaveService

## Constructors

### constructor

- new ServiceManager($injector: IInjectorService): ServiceManager

- - Defined in src/offline/ServiceManager.js:24
  struct
  nginject
  ngdoc

    service

  ngname

    ngeoOfflineServiceManager

  #### Parameters

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns ServiceManager

## Methods

### cancel

- cancel(): void

- - Defined in src/offline/ServiceManager.js:95

  #### Returns void

### getOfflineService_

- getOfflineService_(serviceLike: string | Object, method: string): Object

- - Defined in src/offline/ServiceManager.js:57

  #### Parameters

  - ##### serviceLike: string | Object

    A service like.

  - ##### method: string

    A method.

  #### Returns Object

  A returned object.

### restore

- restore(map: Map): Promise<number[]>

- - Defined in src/offline/ServiceManager.js:121

  Ask the provided service to restore the saved data on the map

  #### Parameters

  - ##### map: Map

    The map to work on.

  #### Returns Promise<number[]>

  A promise to the extent of the downloaded area

### save

- save(extent: number[], map: Map): void

- - Defined in src/offline/ServiceManager.js:108

  Ask the provided service to save the data to an offline purpose

  #### Parameters

  - ##### extent: number[]

    The extent to download.

  - ##### map: Map

    The map to work on.

  #### Returns void

### setRestoreService

- setRestoreService(restoreLikeService: string | { restore: Function }): void

- - Defined in src/offline/ServiceManager.js:91

  Set the service to call on 'restore'

  #### Parameters

  - ##### restoreLikeService: string | { restore: Function }

    A service name that can be injected or an object that have a 'restore' method.

  #### Returns void

### setSaveService

- setSaveService(saveLikeService: string | { save: Function }): void

- - Defined in src/offline/ServiceManager.js:82

  Set the service to call on 'save'.

  #### Parameters

  - ##### saveLikeService: string | { save: Function }

    A service name that can be injected or an object that have a 'save' method.

  #### Returns void

Generated using TypeDoc